python-glanceclient (1:2.16.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 22 Mar 2019 16:23:56 +0000

python-glanceclient (1:2.16.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:30:31 +0000

python-glanceclient (1:2.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:17:28 -0500

python-glanceclient (1:2.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:10:10 -0500

python-glanceclient (1:2.12.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 17:33:12 -0400

python-glanceclient (1:2.11.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Update Standards-Version to 4.1.2.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/p/fix-has-expired-tests.patch: Dropped. No longer needed.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 08:33:47 -0400

python-glanceclient (1:2.9.1-2) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:02:50 +0100

python-glanceclient (1:2.9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use github tag for watch file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 08:23:20 +0000

python-glanceclient (1:2.9.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:24:32 -0500

python-glanceclient (1:2.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Min version of python-warlock 1.1.0 is enough.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 12:19:32 -0500

python-glanceclient (1:2.8.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #868600).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 16:48:58 +0000

python-glanceclient (1:2.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove now obsolete patches (fixed upstream).
  * Using pkgos-dh_auto_install.
  * Standards-Version: 4.1.1.
  * Run all tests.
  * Remove XS-Testsuite: in debian/control.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 11:25:51 +0200

python-glanceclient (1:2.8.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/fix-has-expired-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:47:37 -0400

python-glanceclient (1:2.7.0-0ubuntu1) artful; urgency=medium

  * d/watch: Limit downloads to tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Dropped, resolved upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Jun 2017 10:45:31 +0100

python-glanceclient (1:2.6.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Jan 2017 09:04:53 -0500

python-glanceclient (1:2.5.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 10:58:39 -0400

python-glanceclient (1:2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 18:34:35 +0000

python-glanceclient (1:2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:56:18 +0000

python-glanceclient (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-files.patch: Dropped. No longer needed.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 09:49:57 -0400

python-glanceclient (1:1.2.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/skip-tests-2.patch: Added to skip tests that are failing upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:31:58 +0000

python-glanceclient (1:1.2.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.
  * d/gbp.conf: Update gbp configuration for mitaka branch.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 15:15:21 -0500

python-glanceclient (1:1.1.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.
  * Fixed doubled-defined python-mox3 b-d.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Oct 2015 00:01:23 +0000

python-glanceclient (1:1.1.0-3) unstable; urgency=medium

  * Added missing breaks+replaces to allow upgrades (Closes: #802097).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 07:41:17 +0000

python-glanceclient (1:1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:49:27 +0000

python-glanceclient (1:1.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-test-shell.patch: Dropped. Fixed in new upstream release.
  * d/p/fix-has-expired-tests.patch: Rebased.
  * d/p/skip-tests.patch: Added to skip tests that are failing upstream.

  [ Thomas Goirand ]
  * Do not run this test that fails in my Jessie jenkins:
    - v2.test_client_requests.ClientTestRequests.test_show_bad_image_schema

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 15:49:44 +0000

python-glanceclient (1:0.19.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/p/do-not-crash-on-homedir-creation.patch: Dropped; Fixed upstream.
    - d/p/fix-has-expired-tests.patch: Rebased.
    - d/p/fix-test-shell.patch: Added to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jun 2015 12:08:51 -0400

python-glanceclient (1:0.18.0-2) experimental; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jun 2015 09:26:13 +0000

python-glanceclient (1:0.18.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
    - d/p/fix-has-expired-tests.patch: Added to work around upstream
      openssl issue.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jun 2015 15:20:58 +0100

python-glanceclient (1:0.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-oslo.utils (>= 1.0.0) as (build-)depends.
  * Removed disable-intersphinx.patch, refreshed urllib3 patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 16:23:26 +0800

python-glanceclient (1:0.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this new release.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Oct 2014 16:19:34 +0800

python-glanceclient (1:0.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before the freeze of Jessie.
  * Rebased disable-intersphinx.patch.
  * Added a patch to use urllib3 directly, not the vendorized version from
    requests.
  * Added python-oslosphinx as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 22:55:37 +0800

python-glanceclient (1:0.13.1-1) unstable; urgency=medium

  * New upstream release.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 18:38:59 +0800

python-glanceclient (1:0.12.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #750227)
  * New (build-)depends set for this release.
  * Added --testr-args='--subunit  ' when calling testr.
  * Now packaging upstream manpage and doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 21:59:30 +0800

python-glanceclient (1:0.10.0-2) unstable; urgency=low

  * (Build-)depends on python-warlock >= 1.0.1 and python-d2to1 >= 0.2.10
    (Closes: #724172).
  * Updated version of (build-)depends of keystoneclient to >= 1:0.2.0.
  * Fixed min versions of testtools and testrepository build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2013 18:55:26 +0800

python-glanceclient (1:0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Removed now applied upstream CVE-2013-4111 patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 13:18:30 +0800

python-glanceclient (1:0.9.0-2) unstable; urgency=high

  * Ran wrap-and-sort.
  * CVE-2013-4111: Fix missing SSL certificate check (Closes: #718282).
  * Cleans correctly so the package can be built twice.
  * Using testrepository instead of run_test.py for running tests.
  * Standards-Version: is now 3.9.4.
  * Explicitly using --buildsystem=python_distutils.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:55:25 +0800

python-glanceclient (1:0.9.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:39:00 +0000

python-glanceclient (1:0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Removes debian/patches/fix-ubuntu-tests.patch.
  * python-keystoneclient must be >= 1:0.1.2.
  * Added python-sphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Feb 2013 03:17:57 +0800

python-glanceclient (1:0.6.0-1) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * First debian release (Closes: #687505)

  [ Thomas Goirand ]
  * Added a Replaces: glance-common (<< 2012.2), since this package provides
  the glance userland command line.
  * Using unified include pkgos.make from openstack-pkg-tools in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Nov 2012 11:11:56 +0000

python-glanceclient (1:0.5.0.1.7402590-0ubuntu1) quantal; urgency=low

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 12:23:37 -0500

python-glanceclient (1:0.4.1-0ubuntu2) quantal; urgency=low

  * debian/patches/fix-ubuntu-tests.patch: Refreshed.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 22 Aug 2012 23:43:28 -0700

python-glanceclient (1:0.4.1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control, pydist-overrides: Add python-setuptools-git,
    python-warlock.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Add python-keystoneclient as a depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:24:18 -0500

python-glanceclient (1:0.1.1-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Fix test suite
  * debian/patches/fix-ubuntu-tests: Re-introduced to prevent downloading
    virtualenv deps.
  * debian/watch: Update with new location.

  [ Adam Gandleman ]
  * debian/control: wrap-and-sort, add python-setuptools to Depends.
  * debian/pydist-overrides: Override python-keystoneclient.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:31:31 -0400

python-glanceclient (2012.2~f2~20120621.59-0ubuntu1) quantal; urgency=low

  * New usptream version.
  * debian/docs: Include changelog and readme.rst
  * debian/watch: Fix url

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 10:41:03 -0400

python-glanceclient (2012.2~f1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Use Architecture: all (LP: #1013860)
    - Update maintainer

 -- Michael Terry <mterry@ubuntu.com>  Thu, 21 Jun 2012 07:15:43 -0400

python-glanceclient (2012.2~f1-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 May 2012 08:34:09 -0400

